﻿@model eCommerce.Services.Model.DeliveryOrder
@using eCommerce.Services.Model

@{ 

    var stockDraftActive = TempData["StockDraft"] != null;
    var draftStock = (Dictionary<int, int>)(TempData["StockDraft"] ?? new Dictionary<int, int>());

}

<div class="panel-heading row">
    <h3 class="panel-title">Entrega de Mercadería</h3>
</div>
<div class="panel-body">
    <div class="page-invoice-table table-responsive">
        <table class="table table-hover text-right">
            <thead>
                <tr>
                    <th width="40%" class="text-left">Producto</th>
                    <th width="10%" class="text-left">Talle</th>
                    <th width="10%" class="text-left">Color</th>
                    <th width="5%" class="text-center">Entregar</th>
                    <th width="20%" class="text-left">Depósito</th>
                    <th width="20%" class="text-left">Cantidad</th>
                </tr>
            </thead>
            <tbody>

                @foreach (DeliveryOrderDetail deliveryOrderDetail in Model.DeliveryOrderDetails.Where(x => ((List<int>)TempData["SalerDepositIds"]).Contains(x.DepositId)))
                {

                    var checkBoxName = "chk_" + deliveryOrderDetail.OrderDetailId;
                    var loadDraft = stockDraftActive && draftStock[deliveryOrderDetail.OrderDetailId.Value] != 0;

                    <tr>
                        <td class="text-left">
                            @deliveryOrderDetail.OrderDetail.CompleteName
                            <input type="hidden" name="deliveryOrderDetailIdHidden" value="@deliveryOrderDetail.DeliveryOrderDetailId" />
                        </td>
                        <td class="text-left">@deliveryOrderDetail.OrderDetail.Size.Description</td>
                        <td class="text-left">@deliveryOrderDetail.OrderDetail.Color.Description</td>
                        <td class="text-center">
                            <input checked type="checkbox" class="enabledCheck" id="@checkBoxName" @(loadDraft ? "checked": "") />
                            <input type="hidden" name="enabledStock" id="@("hidden_" + checkBoxName)" value="true" />
                        </td>
                        <td class="text-left">@deliveryOrderDetail.Deposit.Name</td>
                        <td>
                            <input type="number" class="form-control m-control" name="stock" min="0" id="@("input_" + checkBoxName)" value=@deliveryOrderDetail.Quantity />
                        </td>
                    </tr>
                }

            </tbody>
        </table>
    </div>
</div>


